> This page is for Taurus PROTECT, version v3.40.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# SCIM Patch a user

PATCH https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/{userId}
Content-Type: application/json

This SCIM endpoint create a request to change some fields of the user chosen with the userId. The userId is the id of the user on the Protect side. 
Reference: https://datatracker.ietf.org/doc/html/rfc7644#section-3.5.2

Reference: https://taurushq.ferndocs.com/protect-capital/reference/scim/scim-patch-group

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `userId` (string, required)

### Body (application/json)

This endpoint expects a ScimServiceScimPatchUserBody.

- `schemas` (list of string, optional)
- `Operations` (list of tgvalidatordScimOperation, optional)

## Response

### 200

A successful response.

- `schemas` (list of string, optional)
- `id` (string, optional)
- `externalId` (string, optional)
- `meta` (tgvalidatordScimMeta, optional)
- `name` (tgvalidatordScimName, optional)
- `emails` (list of tgvalidatordScimEmail, optional)
- `active` (boolean, optional)
- `roles` (list of tgvalidatordScimRole, optional)
- `groups` (list of tgvalidatordScimResource, optional)
- `userName` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing)

- `any`

### 401 Unauthorized Error

Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource

- `any`

### 403 Forbidden Error

Forbidden: indicates that the server understands the request but refuses to authorize it

- `any`

### 404 Not Found Error

Not Found: indicates that the server cannot find the requested resource

- `any`

### 500 Internal Server Error

Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request

- `any`

### 503 Service Unavailable Error

Service Unavailable: indicates that the server is not ready to handle the request.

- `any`

## Types

### tgvalidatordScimOperation

- `op` (string, optional)
- `path` (string, optional)
- `value` (any, optional)

### tgvalidatordScimMeta

- `created` (string, optional)
- `lastModified` (string, optional)
- `resourceType` (string, optional)
- `location` (string, optional)
- `version` (long, optional)

### tgvalidatordScimName

- `familyName` (string, optional)
- `givenName` (string, optional)

### tgvalidatordScimEmail

- `type` (string, optional)
- `value` (string, optional)
- `primary` (boolean, optional)

### tgvalidatordScimRole

- `value` (string, optional)

### tgvalidatordScimResource

- `value` (string, optional)
- `display` (string, optional)
- `type` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "schemas": [
    "string"
  ],
  "id": "string",
  "externalId": "string",
  "meta": {
    "created": "string",
    "lastModified": "string",
    "resourceType": "string",
    "location": "string",
    "version": 1
  },
  "name": {
    "familyName": "string",
    "givenName": "string"
  },
  "emails": [
    {
      "type": "string",
      "value": "string",
      "primary": true
    }
  ],
  "active": true,
  "roles": [
    {
      "value": "string"
    }
  ],
  "groups": [
    {
      "value": "string",
      "display": "string",
      "type": "string"
    }
  ],
  "userName": "string"
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/scim/v2/Users/userId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```